;;
;; 1_0/theme.jl       (1_0 0.0.1 for sawfish 0.30.3)
;;
;; by Zinx Verituse <zinx@linuxfreak.com>
;;
;; Please excuse my lisp :)
;;

(let*
    (
	(font (get-font "-*-lucidatypewriter-medium-r-normal-*-*-100-*-*-m-*-iso8859-1"))
	(font-colors (list "rgb:9/9/9" "rgb:0/0/0"))

	(title (make-image "title.png"))
	(fillbar (make-image "fillbar.png"))
	(fillbottom (make-image "fillbottom.png"))

	(button-left (make-image "button-left.png"))

	(button-vert (make-image "button-vert.png"))
	(button-horz (make-image "button-horz.png"))
	(button-diag (make-image "button-diag.png"))

	(button-shaded-menu (make-image "button-shaded-menu.png"))
	(button-shaded-iconify (make-image "button-shaded-iconify.png"))

	;; Titlebar
        (titlebar
        `(
	  ((background . ,title)
	   (foreground . ,font-colors)
	   (font . ,font)
	   (text . ,window-name)
	   (x-justify . left)
	   (y-justify . center)
	   (top-edge . -15)
	   (left-edge . 7)
	   (right-edge . 0)
	   (class . title))
	  ((background . ,button-left)
	   (top-edge . -15)
	   (left-edge . -8)
	   (class . close-button))
	 )
        )

	;; Thin Grey borders
	(borders
	`(
	  ((background . "rgb:2a/2a/2a")
	   (top-edge . -1)
	   (left-edge . 0)
	   (right-edge . 0)
	   (height . 1)
           (class . top-border))
	  ((background . "rgb:2a/2a/2a")
	   (bottom-edge . -1)
	   (left-edge . 0)
	   (right-edge . 0)
	   (height . 1)
	   (class . bottom-border))
	  ((background . "rgb:2a/2a/2a")
	   (left-edge . -1)
	   (top-edge . 0)
	   (bottom-edge . 0)
	   (width . 1)
	   (class . left-border))
	  ((background . "rgb:2a/2a/2a")
	   (right-edge . -1)
	   (top-edge . 0)
	   (bottom-edge . 0)
	   (width . 1)
	   (class . right-border))
         )
        )

	(resize-handles
	`(
	  ((background . ("rgb:2a/2a/2a" "rgb:ff/ff/ff"))
	   (bottom-edge . 0)
	   (left-edge . -2)
	   (width . 2)
	   (height . 10)
	   (class . bottom-left-corner))
	  ((background . ("rgb:2a/2a/2a" "rgb:ff/ff/ff"))
	   (bottom-edge . -2)
	   (left-edge . -2)
	   (width . 12)
	   (height . 2)
	   (class . bottom-left-corner))

	  ((background . ("rgb:2a/2a/2a" "rgb:ff/ff/ff"))
	   (bottom-edge . 0)
	   (right-edge . -2)
	   (width . 2)
	   (height . 10)
	   (class . bottom-right-corner))
	  ((background . ("rgb:2a/2a/2a" "rgb:ff/ff/ff"))
	   (bottom-edge . -2)
	   (right-edge . -2)
	   (width . 12)
	   (height . 2)
	   (class . bottom-right-corner))
	 )
	)

	;; Buttons
        (buttons
        `(
	  ((background . ,fillbar)
	   (top-edge . 0)
	   (right-edge . -15)
	   (height . 15)
	   (class . title))
	  ((background . ,fillbottom)
	   (top-edge . 21)
	   (right-edge . -15)
	   (class . title))

	  ((background . ,button-vert)
	   (top-edge . -20)
	   (right-edge . 11)
	   (class . maximize-button))
	  ((background . ,button-diag)
	   (top-edge . -20)
	   (right-edge . -20)
	   (class . menu-button))
	  ((background . ,button-horz)
	   (top-edge . 11)
	   (right-edge . -20)
	   (class . iconify-button))
	 )
        )

	;; Shaded buttons
        (shaded-buttons
        `(
	  ((background . ,button-shaded-menu)
	   (top-edge . -20)
	   (right-edge . 15)
	   (class . menu-button))
	  ((background . ,button-shaded-iconify)
	   (top-edge . -20)
	   (right-edge . 0)
	   (class . iconify-button))
	 )
        )

        (frame `(,@titlebar ,@buttons ,@borders ,@resize-handles))
        (transient-frame `(,@titlebar ,@buttons ,@borders ,@resize-handles))
        (shaped-frame `(,@titlebar ,@shaded-buttons ,@resize-handles))
        (shaped-transient-frame `(,@titlebar ,@shaded-buttons ,@resize-handles))
        (shaded-frame `(,@titlebar ,@shaded-buttons))
        (shaded-transient-frame `(,@titlebar ,@shaded-buttons))
        (unknown-frame `(,@titlebar ,@shaded-buttons ,@resize-handles))
    )

    (image-put title 'tiled t)
    (image-put fillbar 'tiled t)
    (image-put fillbottom 'tiled t)

    (add-frame-style '1_0
      (lambda (w type)
        (cond ((eq type 'default) frame)
              ((eq type 'unframed) nil-frame)
              ((eq type 'transient) transient-frame)
              ((eq type 'shaded) shaded-frame)
              ((eq type 'shaped) shaped-frame)
              ((eq type 'shaded-transient) shaded-transient-frame)
              ((eq type 'shaped-transient) shaped-transient-frame)
              (t unknown-frame)
        )
      )
    )
)

